%define origname v
%set_verify_elf_method unresolved=relaxed

Name:		libv
Version:	1.90
Release:	alt4
Summary:	V is a free, multiple platform C++ graphical user interface framework
License:	LGPL
Group:		Development/C++
Source0:	%origname-%version.tar.bz2
URL:		http://www.objectcentral.com/
Packager:	Evgeny Sinelnikov <sin@altlinux.ru>
# Automatically added by buildreq on Thu Oct 25 2007
BuildRequires: gcc-c++ libXaw-devel libmesa-devel

BuildRequires:	lesstif-devel, xorg-x11-devel

%description
V is a free, multiple platform C++ graphical user interface framework designed
to make it the easiest way to write C++ GUI applications available -- 
commercial, shareware, or freeware. V is available for X Athena, 
X Motif/Lesstif, all Windows platforms, and now including OS/2.

%package devel
Summary:        Development header files for %name
Group:          Development/C++
Requires:       %name = %version

%description devel
Libraries, include files and other resources you can use to develop
%name applications.

%prep
%setup -q -n home/vgui

%build
perl -pi -e "s|^HOMEV\s*=.*|HOMEV=`pwd`|" Config.mk
CFLAGS=-I. make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}

cp lib/lib* $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libVx.so
ln -s %{_libdir}/libVx.so.1.90 $RPM_BUILD_ROOT%{_libdir}/libVx.so
ln -s %{_libdir}/libVxgl.so.1.90 $RPM_BUILD_ROOT%{_libdir}/libVxgl.so

cp -r includex/* $RPM_BUILD_ROOT%{_includedir}

perl -pi -e "s|\r\n|\n|" $RPM_BUILD_ROOT%{_includedir}/v/*
perl -pi -e "s|\r\n|\n|"  ../help/vrefman/* Readme copying.lib

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Readme copying.lib
%_libdir/*.so.*

%files devel
%doc ../help/vrefman/*
%_includedir/%origname
%_libdir/*.so

%changelog
* Mon Nov 05 2007 Evgeny Sinelnikov <sin@altlinux.ru> 1.90-alt4
- Avoid patch using via gear
- Change max size of ComboBox to 64

* Wed Oct 31 2007 Evgeny Sinelnikov <sin@altlinux.ru> 1.90-alt3
- Build with lesstif-0.95-alt2 on x86_64

* Mon Oct 29 2007 Evgeny Sinelnikov <sin@altlinux.ru> 1.90-alt2
- Rebuild with lesstif-0.95-alt2

* Wed Oct 24 2007 Evgeny Sinelnikov <sin@altlinux.ru> 1.90-alt1
- Initial release

